package com.acme.structure.component;

import com.acme.structure.vo.BaseWrapper;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Collection;

public class TreeBaseRow implements Serializable
{
    private RowProperties rowProperties;
    private BaseWrapper baseWrapper;
    private Collection treeBaseRowChilds;

    public TreeBaseRow()
    {
        treeBaseRowChilds = new ArrayList<TreeBaseRow>();
    }

    public TreeBaseRow(BaseWrapper baseWrapper)
    {
        this(baseWrapper, new RowProperties());
        treeBaseRowChilds = new ArrayList<TreeBaseRow>();
    }

    public TreeBaseRow(BaseWrapper baseWrapper, RowProperties rowProperties)
    {
        treeBaseRowChilds = new ArrayList<TreeBaseRow>();
        setBaseWrapper(baseWrapper);
        setRowProperties(rowProperties);
    }

    public void setRowProperties(RowProperties rowProperties)
    {
        this.rowProperties = rowProperties;
    }

    public RowProperties getRowProperties()
    {
        return rowProperties;
    }

    public void setBaseWrapper(BaseWrapper baseWrapper)
    {
        this.baseWrapper = baseWrapper;
    }

    public BaseWrapper getBaseWrapper()
    {
        return baseWrapper;
    }

    public void setTreeBaseRowChilds(Collection treeBaseRowChilds)
    {
        this.treeBaseRowChilds = treeBaseRowChilds;
    }

    public Collection getTreeBaseRowChilds()
    {
        return treeBaseRowChilds;
    }
}
